> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all zones > Get details of all the zones. ## OpenAPI ````json GET /v1/zones { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/zones": { "get": { "tags": [ "Zone" ], "summary": "Get all zones.", "description": "Get details of all the zones.", "operationId": "getZones", "responses": { "200": { "description": "Details of all the zones.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/Zone" } } } } } }, "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "Zone": { "required": [ "acct_id", "certificate", "zone_id", "name", "node_refresh_interval", "node_renewal_threshold", "node_enrollment", "security_policy" ], "type": "object", "properties": { "acct_id": { "type": "string", "description": "The account ID of the account that this zone belongs to.", "format": "uuid" }, "node_enrollment": { "$ref": "#/components/schemas/NodeEnrollment" }, "certificate": { "type": "string", "description": "Zone certificate (PEM format)." }, "zone_id": { "type": "string", "description": "Zone Id.", "format": "uuid" }, "name": { "type": "string", "description": "Zone name." }, "description": { "type": "string", "description": "Zone description." }, "security_policy": { "$ref": "#/components/schemas/SecurityPolicy" } }, "description": "Detailed info of a zone." }, "NodeEnrollment": { "required": [ "attestation_enforcement_disabled_insecure" ], "type": "object", "properties": { "attestation_enforcement_disabled_insecure": { "type": "boolean" } } }, "SecurityPolicy": { "required": [ "attestation_enforcement_disabled_insecure", "grace_period" ], "type": "object", "properties": { "attestation_enforcement_disabled_insecure": { "type": "boolean" }, "grace_period": { "$ref": "#/components/schemas/TcbGracePeriodConfig" } } }, "TcbGracePeriodConfig": { "required": [ "seconds" ], "type": "object", "properties": { "seconds": { "type": "integer", "description": "Grace period represented in number of seconds.", "format": "uint64" } } } } } } ````